[Pkg-ocaml-maint-commits] [SCM] Debian packaging for coccinelle branch, master, updated. debian/0.1.6.deb+a-1-6-gb726b7e

Eugeniy Meshcheryakov eugen at debian.org
Mon Apr 6 14:37:10 UTC 2009


The following commit has been merged in the master branch:
commit b726b7ee9a33f81c5e9aabee78fbde8ff7061dd0
Author: Eugeniy Meshcheryakov <eugen at debian.org>
Date:   Mon Apr 6 16:36:42 2009 +0200

    Add tag-patches rule (tags topgit branches)

diff --git a/debian/changelog b/debian/changelog
index b31f609..8ff8887 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,8 +5,9 @@ coccinelle (0.1.6.deb+a-2) unstable; urgency=low
   * Git repository is now in pkg-ocaml-maint group. Adjust Vcs-* fields
   * Set maintainers to Debian OCaml Maintainers 
   * Add explicit list of topgit patches into debian/rules
+  * Add tag-patches rule (tags topgit branches) 
 
- -- Євгеній Мещеряков <eugen at debian.org>  Mon, 06 Apr 2009 16:01:05 +0200
+ -- Євгеній Мещеряков <eugen at debian.org>  Mon, 06 Apr 2009 16:36:19 +0200
 
 coccinelle (0.1.6.deb+a-1) unstable; urgency=low
 
diff --git a/debian/rules b/debian/rules
index 6796ffe..81f5427 100755
--- a/debian/rules
+++ b/debian/rules
@@ -88,4 +88,7 @@ binary-indep: install
 
 binary: binary-indep binary-arch
 
-.PHONY: build clean binary-indep binary-arch binary install patch get-orig-source
+tag-patches:
+	sh debian/tag-patches.sh $(TG_BRANCHES)
+
+.PHONY: build clean binary-indep binary-arch binary install patch get-orig-source tag-patches
diff --git a/debian/tag-patches.sh b/debian/tag-patches.sh
new file mode 100644
index 0000000..664f525
--- /dev/null
+++ b/debian/tag-patches.sh
@@ -0,0 +1,20 @@
+#! /bin/sh
+
+set -e
+
+version="`dpkg-parsechangelog  | sed -n 's/^Version: \(.*\)/\1/p'`"
+
+while [ $# -ge 1 ]
+do
+	name="$1"
+	shift
+	head_name="refs/heads/$name"
+	top_base_name="refs/top-bases/$name"
+	ver_head_tag="p/heads/$name/$version"
+	ver_base_tag="p/bases/$name/$version"
+
+	echo "$head_name -> $ver_head_tag" >&2
+	git tag "$ver_head_tag" "$head_name"
+	echo "$top_base_name -> $ver_base_tag" >&2
+	git tag "$ver_base_tag" "$top_base_name"
+done

-- 
Debian packaging for coccinelle



More information about the Pkg-ocaml-maint-commits mailing list